summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorPatrick McCarty2017-09-18 21:17:06 -0700
committerPatrick McCarty2017-09-18 21:17:06 -0700
commit5e20b3434a61ce528e9839f43119d3aabe110aae (patch)
tree727f5b13cda811921bbea01c631ef7f213dbf617
downloadaur-5e20b3434a61ce528e9839f43119d3aabe110aae.tar.gz
Initial import
-rw-r--r--.SRCINFO18
-rw-r--r--.gitignore4
-rw-r--r--PKGBUILD31
3 files changed, 53 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..4637cb59743
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,18 @@
+# Generated by mksrcinfo v8
+# Tue Sep 19 04:16:59 UTC 2017
+pkgbase = gawk-lmdb
+ pkgdesc = GAWK extension - interface to the LMDB API
+ pkgver = 1.0.1
+ pkgrel = 1
+ url = https://sourceforge.net/projects/gawkextlib/
+ arch = i686
+ arch = x86_64
+ license = GPL
+ depends = lmdb
+ depends = gawkextlib
+ source = https://downloads.sourceforge.net/gawkextlib/gawk-lmdb-1.0.1.tar.gz
+ md5sums = 065bca372a3b4d3a2ff833cff429700d
+ sha256sums = 706ff641f9b177815fa5bd9fd8801be2f04422b2793c10a243a7db5439c26ed8
+
+pkgname = gawk-lmdb
+
diff --git a/.gitignore b/.gitignore
new file mode 100644
index 00000000000..2b022307d03
--- /dev/null
+++ b/.gitignore
@@ -0,0 +1,4 @@
+*.pkg.tar.xz
+*.tar.gz
+pkg/
+src/
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..64bcb231ed1
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,31 @@
+# Maintainer: Patrick McCarty <pnorcks at gmail dot com>
+
+pkgname=gawk-lmdb
+_project=gawkextlib
+pkgver=1.0.1
+pkgrel=1
+pkgdesc="GAWK extension - interface to the LMDB API"
+arch=('i686' 'x86_64')
+url="https://sourceforge.net/projects/gawkextlib/"
+license=('GPL')
+depends=('lmdb' 'gawkextlib')
+source=("https://downloads.sourceforge.net/$_project/$pkgname-$pkgver.tar.gz")
+md5sums=('065bca372a3b4d3a2ff833cff429700d')
+sha256sums=('706ff641f9b177815fa5bd9fd8801be2f04422b2793c10a243a7db5439c26ed8')
+
+build() {
+ cd "$pkgname-$pkgver"
+ ./configure --prefix=/usr
+ make
+}
+
+check() {
+ cd "$pkgname-$pkgver"
+ # sometimes the test suite fails -- race condition?
+ make -k check || :
+}
+
+package() {
+ cd "$pkgname-$pkgver"
+ make DESTDIR="$pkgdir/" install
+}